//
//  TuskerRootViewController.swift
//  Tusker
//
//  Created by Shadowfacts on 6/24/20.
//  Copyright © 2020 Shadowfacts. All rights reserved.
//

import UIKit

protocol TuskerRootViewController: UIViewController, StatusBarTappableViewController {
    func stateRestorationActivity() -> NSUserActivity?
    func restoreActivity(_ activity: NSUserActivity)
    func presentCompose()
    func select(tab: MainTabBarViewController.Tab)
    func getTabController(tab: MainTabBarViewController.Tab) -> UIViewController?
    func performSearch(query: String)
    func presentPreferences(completion: (() -> Void)?)
}
